#include<bits/stdc++.h>
using namespace std;
#define MAXN 200005

pair<int, int> vage[MAXN]; 

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    int n,m,l,r,x;
    cin >> n >> m;
    for(int i = 0; i < n; i++)
        cin >> vage[i].first >> vage[i].second;
    
    int cnt;
    for(int i = 0; i < m; i++)
    {
        cnt = 0;
        cin >> l >> r >> x;
        for(int i = l - 1; i < r; i++)
        {
            if(x >= vage[i].first && x <= vage[i].second)
                cnt++;
        }
        cout << cnt << endl;
    }
    return 0;
}